<?php

namespace App\Filament\Resources\PersonnelEnseignants;

use App\Filament\Resources\PersonnelEnseignants\Pages\CreatePersonnelEnseignant;
use App\Filament\Resources\PersonnelEnseignants\Pages\EditPersonnelEnseignant;
use App\Filament\Resources\PersonnelEnseignants\Pages\ListPersonnelEnseignants;
use App\Filament\Resources\PersonnelEnseignants\Schemas\PersonnelEnseignantForm;
use App\Filament\Resources\PersonnelEnseignants\Tables\PersonnelEnseignantsTable;
use App\Models\PersonnelEnseignant;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class PersonnelEnseignantResource extends Resource
{
    protected static ?string $model = PersonnelEnseignant::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return PersonnelEnseignantForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return PersonnelEnseignantsTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListPersonnelEnseignants::route('/'),
            'create' => CreatePersonnelEnseignant::route('/create'),
            'edit' => EditPersonnelEnseignant::route('/{record}/edit'),
        ];
    }
}
